El Nexus 4 no cuenta con la API de la cámara de Android 5.0 Lollipop

El Nexus 4 no cuenta con la API de la cámara de Android 5.0 Lollipop

Emmanuel Jiménez

El Nexus 4 fue el buque insignia de Google en el año 2012, un smartphone que se lanzó con un precio de tan solo 300 euros, un gran precio para un teléfono inteligente que competía con los smartphones de 600 euros. Sin embargo, parece que empieza a morir. No es compatible con la API de la cámara de la nueva versión Android 5.0 Lollipop.

Aunque el Nexus 4 fue uno de los mejores smartphones del mercado cuando fue lanzado, tal y como lo han sido el Nexus 5 y el Nexus 6 después de este, hoy en día no deja de ser un teléfono inteligente que tiene ya dos años, y en dos años el mundo de los smartphones ha cambiaod muchísimo. Concretamente, la nueva API de la cámara con la que cuenta Android 5.0 Lollipop no es compatible con el Nexus 4, así lo ha confirmado Google después de que una serie de desarrolladores afirmara estar teniendo muchos problemas para utilizar sus aplicaciones de cámara en el Nexus 4, debido a que no es posible utilizar la API de Android 5.0 Lollipop.

Nexus 4

La nueva API de la cámara era una de las características destacables de la nueva versión del sistema operativo, debido a que permitiría a los usuarios modificar los ajustes de la cámara, así como capturar fotografías en formato DNG, en negativo digital, un formato sin pérdida que permite realizar modificaciones después en la fotografía sin perder calidad, y que era algo muy relevante para todos aquellos fotógrafos profesionales, así como para que los fabricantes pudieran lanzar cámaras de fotos de alto nivel con Android como sistema operativo.

No obstante, hay que tener en cuenta que Google ya afirmó que actualizaría a las nuevas versiones los smartphones o tablets que hubiera lanzado 18 meses o menos antes de que la nueva versión hubiera sido lanzada. Si tenemos en cuenta que el Nexus 4 se lanzó en el 2012, y que ya casi estamos en 2015, sería lógico pensar que este smartphone no se iba a actualizar. Sin embargo, sí que actualiza a Android 5.0 Lollipop, aunque no con todas las característica. En el caso de la API de la cámara, concretamente, es porque no cuenta ni con el hardware ni con el software requerido para poder hacer uso de esta nueva API. Si tienes un Nexus 4, quizás sea el momento de ir pensando en comprar un nuevo smartphone. Puede que uno de los cinco smartphones que debes comprar antes del 2015 sirva para relevar al Nexus 4.